public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] [PATCH] bugfix for cpio/cpio_tests.sh
@ 2021-03-30 13:01 sujiaxun
  2021-03-31 10:31 ` Petr Vorel
  0 siblings, 1 reply; 3+ messages in thread
From: sujiaxun @ 2021-03-30 13:01 UTC (permalink / raw)
  To: ltp

In cpio version 2.12 and 2.13,'cpio --help' create is lowercase

Signed-off-by: sujiaxun <sujiaxun@uniontech.com>
---
 testcases/commands/cpio/cpio_tests.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/testcases/commands/cpio/cpio_tests.sh b/testcases/commands/cpio/cpio_tests.sh
index a98b7eca7..5f3a13e85 100755
--- a/testcases/commands/cpio/cpio_tests.sh
+++ b/testcases/commands/cpio/cpio_tests.sh
@@ -13,7 +13,7 @@ TST_SETUP="setup"

 setup()
 {
-	if ! cpio --help 2>&1 | grep -q -- '-o.*Create'; then
+	if ! cpio --help 2>&1 | grep -qi -- '-o.*Create'; then
 		tst_brk TCONF "-o flag not supported"
 	fi

--
2.20.1




^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [LTP] [PATCH] bugfix for cpio/cpio_tests.sh
  2021-03-30 13:01 [LTP] [PATCH] bugfix for cpio/cpio_tests.sh sujiaxun
@ 2021-03-31 10:31 ` Petr Vorel
       [not found]   ` <762779324.75038.1617189402948.JavaMail.xmail@bj-wm-cp-5>
  0 siblings, 1 reply; 3+ messages in thread
From: Petr Vorel @ 2021-03-31 10:31 UTC (permalink / raw)
  To: ltp

Hi,

> In cpio version 2.12 and 2.13,'cpio --help' create is lowercase

> -	if ! cpio --help 2>&1 | grep -q -- '-o.*Create'; then
> +	if ! cpio --help 2>&1 | grep -qi -- '-o.*Create'; then

First, are you talking about cpio implementation [1]
or busybox implementation [2] ?

I suppose cpio, but also busybox had in the past 2.12 and 2.13.
There is no lower case in cpio 2.12 [3] neither in 2.13 [4].

Looking at busybox, I'm not sure how help was printed ([5] [6]), as I'm not able
to install this version (1_13_4 tag is from 2009 - I guess you're not talking about it).

Kind regards,
Petr

[1] https://git.savannah.gnu.org/cgit/cpio.git
[2] https://git.busybox.net/busybox/
[3] https://git.savannah.gnu.org/cgit/cpio.git/tree/src/main.c?h=release_2_12#n101
[4] https://git.savannah.gnu.org/cgit/cpio.git/tree/src/main.c?h=release_2_13#n100
[5] https://git.busybox.net/busybox/tree/archival/cpio.c?h=1_12_stable#n185
[6] https://git.busybox.net/busybox/tree/archival/cpio.c?h=1_13_stable

^ permalink raw reply	[flat|nested] 3+ messages in thread

* [LTP] [PATCH] bugfix for cpio/cpio_tests.sh
       [not found]   ` <762779324.75038.1617189402948.JavaMail.xmail@bj-wm-cp-5>
@ 2021-03-31 13:18     ` Petr Vorel
  0 siblings, 0 replies; 3+ messages in thread
From: Petr Vorel @ 2021-03-31 13:18 UTC (permalink / raw)
  To: ltp

Hi,

> > In cpio version 2.12 and 2.13,'cpio --help' create is lowercase ?
> ?
> > - if ! cpio --help 2>&1 | grep -q -- '-o.*Create'; then ?
> > + if ! cpio --help 2>&1 | grep -qi -- '-o.*Create'; then ?

> Sorry, I thought the search was ?--create? after ?-o?. In the English
> environment, there is indeed ?Create? in the description.

> ??-i,?--extract??????????????Extract?files?from?an?archive
> ??-o,?--create? ? ? ? ? ? ? Create?the?archive

Thanks for clarification.  No, long option --create does not exist in busybox
implementation, there is only short option -o. I mean it wouldn't harm to have
'grep -i', but until needed, I prefer to not adding it.

cpio implementation:
  -o, --create               Create the archive (run in copy-out mode)

busybox implementation:
	-o	Create (requires -H newc)

Kind regards,
Petr

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-03-31 13:18 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-03-30 13:01 [LTP] [PATCH] bugfix for cpio/cpio_tests.sh sujiaxun
2021-03-31 10:31 ` Petr Vorel
     [not found]   ` <762779324.75038.1617189402948.JavaMail.xmail@bj-wm-cp-5>
2021-03-31 13:18     ` Petr Vorel

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox